MSFVENOM(1)

NAME
msfencode - Payload Encoder

SYNOPSIS
msfencode <options>

OPTIONS

-a <opt>
    The architecture to encode as

-b <opt>
    The list of characters to avoid: '\x00\xff'

-c <opt>
    The number of times to encode the data

-d <opt>
    Specify the directory in which to look for EXE templates

-e <opt>
    The encoder to use

-h  Help banner

-i <opt>
    Encode the contents of the supplied file path

-k  Keep template working; run payload in new thread (use with -x)

-l  List available encoders

-m <opt>
    Specifies an additional module search path

-n  Dump encoder information

-o <opt>
    The output file

-p <opt>
    The platform to encode for

-s <opt>
    The maximum size of the encoded data

-v  Increase verbosity

-x <opt>
    Specify an alternate executable template

-v  Increase verbosity

-x <opt>
    Specify an alternate executable template

-t <opt>
    The output format:
    raw,ruby,rb,perl,pl,bash,sh,c,js_be,js_le
    java,dll,exe,exe-small,elf,macho
    vba,vba-exe,vbs,loop-vbs,asp,aspx,war,psh,psh-net

DESCRIPTION
msfencode is the command line tool used to encode payloads, and is part of the Metasploit Framework.

EXEMPLE
Encoding payload generated and provided by msfpayload :

msfpayload windows/shell/bind_tcp LPORT=4444 R |
    msfencode -e x86/shikata_ga_nai -b '\x00' -c 3 -t C

SEE ALSO
msfcli(1)
msfconsole(1)
msfpayload(1)
msfvenom(1)

AUTHORS

Creator
    HD Moore - @hdmoore / hdm@metasploit.com

COPYRIGHT
Copyright (C) 2006-2013, Rapid7 Inc. All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

*   Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

*   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

*   Neither the name of Rapid7 LLC nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. The Metasploit Framework is provided under the 3-clause BSD license above. The copyright on this package is held by Rapid7 LLC. This license does not apply to several components within the Metasploit Framework source tree. For more details see the LICENSE file.